Skip to main content
`Ctrl`+`K`

# DMPlexRestoreCellCoordinates

Get coordinates for a cell, taking into account periodicity

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexRestoreCellCoordinates(DM dm, PetscInt cell, PetscBool *isDG, PetscInt *Nc, const PetscScalar *array[], PetscScalar *coords[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- cell - The cell number

## Output Parameters

- isDG - Using cellwise coordinates

- Nc - The number of coordinates

- array - The coordinate array

- coords - The cell coordinates

## See Also

`DMPLEX`, `DMPlexGetCellCoordinates()`, `DMGetCoordinatesLocal()`, `DMGetCellCoordinatesLocal()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages